## cadence 0.5.0~beta1+git20130117-0~precise1ubuntu1+pearl7.1

=== Makefile ===
#!/usr/bin/make -f
# Makefile for Cadence #
# ---------------------- #
# Created by falkTX
#

PREFIX  = /usr/local
DESTDIR =

SED_PREFIX = $(shell echo $(PREFIX) | sed "s/\//\\\\\\\\\//g")

PYUIC = pyuic4
PYRCC = pyrcc4 -py3

# Detect X11 rules dir
ifeq "$(wildcard /etc/X11/xinit/xinitrc.d/ )" ""
	X11_RC_DIR = $(DESTDIR)/etc/X11/Xsession.d/
else
	X11_RC_DIR = $(DESTDIR)/etc/X11/xinit/xinitrc.d/
endif

# -----------------------------------------------------------------------------------------------------------------------------------------

all: UI RES CPP

# -----------------------------------------------------------------------------------------------------------------------------------------

UI: cadence catarina catia claudia tools

cadence: src/ui_cadence.py \
	src/ui_cadence_tb_jack.py src/ui_cadence_tb_alsa.py src/ui_cadence_tb_a2j.py src/ui_cadence_tb_pa.py \
	src/ui_cadence_rwait.py

catarina: src/ui_catarina.py \
	src/ui_catarina_addgroup.py src/ui_catarina_removegroup.py src/ui_catarina_renamegroup.py \
	src/ui_catarina_addport.py src/ui_catarina_removeport.py src/ui_catarina_renameport.py \
	src/ui_catarina_connectports.py src/ui_catarina_disconnectports.py

catia: src/ui_catia.py

claudia: src/ui_claudia.py \
	src/ui_claudia_studioname.py src/ui_claudia_studiolist.py \
	src/ui_claudia_createroom.py src/ui_claudia_projectname.py src/ui_claudia_projectproperties.py \
	src/ui_claudia_runcustom.py src/ui_claudia_launcher.py src/ui_claudia_launcher_app.py

tools: \
	src/ui_logs.py src/ui_render.py \
	src/ui_settings_app.py src/ui_settings_jack.py

src/ui_%.py: resources/ui/%.ui
	$(PYUIC) $< -o $@

# -----------------------------------------------------------------------------------------------------------------------------------------

RES: src/resources_rc.py

src/resources_rc.py: resources/resources.qrc
	$(PYRCC) $< -o $@

# -----------------------------------------------------------------------------------------------------------------------------------------

CPP: jackmeter xycontroller

jackmeter:
	$(MAKE) -C c++/jackmeter

xycontroller:
	$(MAKE) -C c++/xycontroller

# -----------------------------------------------------------------------------------------------------------------------------------------

debug:
	$(MAKE) DEBUG=true

# -----------------------------------------------------------------------------------------------------------------------------------------

clean:
	$(MAKE) clean -C c++/jackmeter
	$(MAKE) clean -C c++/xycontroller
	rm -f *~ src/*~ src/*.pyc src/ui_*.py src/resources_rc.py

# -----------------------------------------------------------------------------------------------------------------------------------------

install:
	# Create directories
	install -d $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/share/applications/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
	install -d $(DESTDIR)$(PREFIX)/share/cadence/
	install -d $(DESTDIR)$(PREFIX)/share/cadence/src/
	install -d $(DESTDIR)$(PREFIX)/share/cadence/pulse2jack/
	install -d $(DESTDIR)$(PREFIX)/share/cadence/icons/
	install -d $(DESTDIR)$(PREFIX)/share/cadence/templates/
	install -d $(X11_RC_DIR)

	# Install script files and binaries
	install -m 755 \
		data/cadence \
		data/cadence-aloop-daemon \
		data/cadence-jacksettings \
		data/cadence-logs \
		data/cadence-pulse2jack \
		data/cadence-render \
		data/cadence-session-start \
		data/catarina \
		data/catia \
		data/claudia \
		data/claudia-launcher \
		c++/jackmeter/cadence-jackmeter \
		c++/xycontroller/cadence-xycontroller \
		$(DESTDIR)$(PREFIX)/bin/

	# Install desktop files
	install -m 644 data/*.desktop $(DESTDIR)$(PREFIX)/share/applications/

	# Install icons, 16x16
	install -m 644 resources/16x16/cadence.png             $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -m 644 resources/16x16/catarina.png            $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -m 644 resources/16x16/catia.png               $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -m 644 resources/16x16/claudia.png             $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -m 644 resources/16x16/claudia-launcher.png    $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/

	# Install icons, 48x48
	install -m 644 resources/48x48/cadence.png             $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -m 644 resources/48x48/catarina.png            $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -m 644 resources/48x48/catia.png               $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -m 644 resources/48x48/claudia.png             $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -m 644 resources/48x48/claudia-launcher.png    $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/

	# Install icons, 128x128
	install -m 644 resources/128x128/cadence.png           $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/
	install -m 644 resources/128x128/catarina.png          $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/
	install -m 644 resources/128x128/catia.png             $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/
	install -m 644 resources/128x128/claudia.png           $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/
	install -m 644 resources/128x128/claudia-launcher.png  $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/

	# Install icons, 256x256
	install -m 644 resources/256x256/cadence.png           $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -m 644 resources/256x256/catarina.png          $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -m 644 resources/256x256/catia.png             $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -m 644 resources/256x256/claudia.png           $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -m 644 resources/256x256/claudia-launcher.png  $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/

	# Install icons, scalable
	install -m 644 resources/scalable/cadence.svg          $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
	install -m 644 resources/scalable/catarina.svg         $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
	install -m 644 resources/scalable/catia.svg            $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
	install -m 644 resources/scalable/claudia.svg          $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
	install -m 644 resources/scalable/claudia-launcher.svg $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/

	# Install main code
	install -m 755 src/*.py $(DESTDIR)$(PREFIX)/share/cadence/src/

	# Install addtional stuff for Cadence
	install -m 644 data/pulse2jack/* $(DESTDIR)$(PREFIX)/share/cadence/pulse2jack/
	install -m 644 data/70cadence-plugin-paths  $(X11_RC_DIR)
	install -m 644 data/99cadence-session-start $(X11_RC_DIR)

	# Install addtional stuff for Claudia
	cp -r data/icons/*     $(DESTDIR)$(PREFIX)/share/cadence/icons/
	cp -r data/templates/* $(DESTDIR)$(PREFIX)/share/cadence/templates/

	# Adjust PREFIX value in script files
	sed -i "s/X-PREFIX-X/$(SED_PREFIX)/" \
		$(DESTDIR)$(PREFIX)/bin/cadence \
		$(DESTDIR)$(PREFIX)/bin/cadence-aloop-daemon \
		$(DESTDIR)$(PREFIX)/bin/cadence-jacksettings \
		$(DESTDIR)$(PREFIX)/bin/cadence-logs \
		$(DESTDIR)$(PREFIX)/bin/cadence-pulse2jack \
		$(DESTDIR)$(PREFIX)/bin/cadence-render \
		$(DESTDIR)$(PREFIX)/bin/cadence-session-start \
		$(DESTDIR)$(PREFIX)/bin/catarina \
		$(DESTDIR)$(PREFIX)/bin/catia \
		$(DESTDIR)$(PREFIX)/bin/claudia \
		$(DESTDIR)$(PREFIX)/bin/claudia-launcher \
		$(X11_RC_DIR)/70cadence-plugin-paths \
		$(X11_RC_DIR)/99cadence-session-start

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/cadence*
	rm -f $(DESTDIR)$(PREFIX)/bin/catarina
	rm -f $(DESTDIR)$(PREFIX)/bin/catia
	rm -f $(DESTDIR)$(PREFIX)/bin/claudia*
	rm -f $(DESTDIR)$(PREFIX)/share/applications/cadence.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/applications/catarina.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/applications/catia.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/applications/claudia.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/applications/claudia-launcher.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/*/apps/cadence.png
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/*/apps/catarina.png
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/*/apps/catia.png
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/*/apps/claudia.png
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/*/apps/claudia-launcher.png
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/cadence.svg
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/catarina.svg
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/catia.svg
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/claudia.svg
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/claudia-launcher.svg
	rm -f $(X11_RC_DIR)/70cadence-plugin-paths
	rm -f $(X11_RC_DIR)/99cadence-session-start
	rm -rf $(DESTDIR)$(PREFIX)/share/cadence/

=== c++/jackmeter/Makefile ===
#!/usr/bin/make -f
# Makefile for jackmeter #
# -------------------------------- #
# Created by falkTX
#

include ../Makefile.mk

# --------------------------------------------------------------

BUILD_CXX_FLAGS += -I../widgets
BUILD_CXX_FLAGS += $(shell pkg-config --cflags QtCore QtGui jack)
LINK_FLAGS      += $(shell pkg-config --libs QtCore QtGui jack)

ifeq ($(HAVE_JACKSESSION),true)
BUILD_CXX_FLAGS += -DHAVE_JACKSESSION
endif

# --------------------------------------------------------------

FILES = \
	qrc_resources-jackmeter.cpp

OBJS = \
	jackmeter.o \
	qrc_resources-jackmeter.o \
	../widgets/digitalpeakmeter.o

# --------------------------------------------------------------

all: cadence-jackmeter

cadence-jackmeter: $(FILES) $(OBJS)
	$(CXX) $(OBJS) $(LINK_FLAGS) -o $@ && $(STRIP) $@

cadence-jackmeter.exe: $(FILES) $(OBJS) icon.o
	$(CXX) $(OBJS) icon.o $(LINK_FLAGS) -static -mwindows -o $@ && $(STRIP) $@

# --------------------------------------------------------------

qrc_resources-jackmeter.cpp: ../../resources/resources-jackmeter.qrc
	$(RCC) -name resources-jackmeter $< -o $@

icon.o: ../../resources/ico/cadence.rc
	$(WINDRES) -i $< -o $@ -O coff

# --------------------------------------------------------------

.cpp.o:
	$(CXX) -c $< $(BUILD_CXX_FLAGS) -o $@

clean:
	rm -f $(FILES) $(OBJS) icon.o cadence-jackmeter*

=== c++/xycontroller/Makefile ===
#!/usr/bin/make -f
# Makefile for xycontroller #
# ------------------------------------ #
# Created by falkTX
#

include ../Makefile.mk

# --------------------------------------------------------------

BUILD_CXX_FLAGS += -I../widgets
BUILD_CXX_FLAGS += $(shell pkg-config --cflags QtCore QtGui jack)
LINK_FLAGS      += $(shell pkg-config --libs QtCore QtGui jack)

ifeq ($(HAVE_JACKSESSION),true)
BUILD_CXX_FLAGS += -DHAVE_JACKSESSION
endif

# --------------------------------------------------------------

FILES = \
	xycontroller.moc \
	ui_xycontroller.h \
	qrc_resources-xycontroller.cpp \
	../widgets/moc_pixmapkeyboard.cpp

OBJS  = xycontroller.o \
	qrc_resources-xycontroller.o \
	../widgets/pixmapdial.o \
	../widgets/pixmapkeyboard.o \
	../widgets/moc_pixmapkeyboard.o

# --------------------------------------------------------------

all: cadence-xycontroller

cadence-xycontroller: $(FILES) $(OBJS)
	$(CXX) $(OBJS) $(LINK_FLAGS) -o $@ && $(STRIP) $@

cadence-xycontroller.exe: $(FILES) $(OBJS) icon.o
	$(CXX) $(OBJS) icon.o -static -mwindows $(LINK_FLAGS) -o $@ && $(STRIP) $@

# --------------------------------------------------------------

xycontroller.moc: xycontroller.cpp
	$(MOC) $< -o $@

ui_xycontroller.h: ../../resources/ui/xycontroller.ui
	$(UIC) $< -o $@

qrc_resources-xycontroller.cpp: ../../resources/resources-xycontroller.qrc
	$(RCC) -name resources-xycontroller $< -o $@

icon.o: ../../resources/ico/cadence.rc
	$(WINDRES) -i $< -o $@ -O coff

../widgets/moc_pixmapkeyboard.cpp: ../widgets/pixmapkeyboard.hpp
	$(MOC) $< -o $@

# --------------------------------------------------------------

.cpp.o:
	$(CXX) -c $< $(BUILD_CXX_FLAGS) -o $@

clean:
	rm -f $(FILES) $(OBJS) icon.o cadence-xycontroller*

=== debian/changelog ===
cadence (0.5.0~beta1+git20130117-0~precise1ubuntu1+pearl7.1) rolltide; urgency=medium

  * Build for pearl 7
  * packaged for rolltide release

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Tue, 14 Aug 2018 08:43:05 -0500

cadence (0.5.0~beta1+git20130117-0~precise1) precise; urgency=low

  * Non-KXStudio build for testing

 -- falkTX <falktx@gmail.com>  Wed, 23 Jan 2013 22:06:24 +0000

cadence (1:0.5.0~beta1+git20130117-0~precise1) precise; urgency=low

  * Split package

 -- falkTX <falktx@gmail.com>  Thu, 17 Jan 2013 16:49:58 +0000

cadence (1:0.5.0~beta1+git20121231-0~precise1) precise; urgency=medium

  * More DB update
  * Misc fixes
  * This is the final version for the Live-DVD, hurray!

 -- falkTX <falktx@gmail.com>  Mon, 31 Dec 2012 02:25:20 +0000

cadence (1:0.5.0~beta1+git20121230-0~precise2) precise; urgency=medium

  * New git:
    - fix plugin paths for ladish
    - claudia-db updates
    - misc fixes

  * Build with static liblo
  * medium prio, we need to test this build asap

 -- falkTX <falktx@gmail.com>  Sun, 30 Dec 2012 23:27:11 +0000

cadence (1:0.5.0~beta1+git20121230-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Sun, 30 Dec 2012 05:13:12 +0000

cadence (1:0.5.0~beta1+git20121230-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Sun, 30 Dec 2012 05:12:52 +0000

cadence (1:0.5.0~beta1+git20121230-0~precise1) precise; urgency=low

  * New git, adds carla-bridge-native and claudia-db plugins

 -- falkTX <falktx@gmail.com>  Sun, 30 Dec 2012 05:10:32 +0000

cadence (1:0.5.0~beta1+git20121229-0~precise1) precise; urgency=low

  * New git, claduia-launcher fixes

 -- falkTX <falktx@gmail.com>  Sat, 29 Dec 2012 04:02:42 +0000

cadence (1:0.5.0~beta1+git20121228-0~precise1) precise; urgency=low

  * New git, several fixes
  * Custom build for KXStudio

 -- falkTX <falktx@gmail.com>  Fri, 28 Dec 2012 09:03:35 +0000

cadence (1:0.5.0~beta1+git20121222-0~precise1) precise; urgency=low

  * New git, several fixes

 -- falkTX <falktx@gmail.com>  Sat, 22 Dec 2012 16:38:31 +0000

cadence (1:0.5.0~beta1+git20121212-0~precise1) precise; urgency=low

  * New git, small fixing

 -- falkTX <falktx@gmail.com>  Wed, 12 Dec 2012 22:59:10 +0000

cadence (1:0.5.0~beta1+git20121211-0~precise2) precise; urgency=low

  * Cadence alsa bridge fixes

 -- falkTX <falktx@gmail.com>  Tue, 11 Dec 2012 16:25:19 +0000

cadence (1:0.5.0~beta1+git20121211-0~precise1) precise; urgency=low

  * New git, misc fixing

 -- falkTX <falktx@gmail.com>  Tue, 11 Dec 2012 14:43:51 +0000

cadence (1:0.5.0~beta1+git20121209-0~precise2) precise; urgency=low

  * New git, minor fixes

 -- falkTX <falktx@gmail.com>  Sun, 09 Dec 2012 19:23:03 +0000

cadence (1:0.5.0~beta1+git20121209-0~precise1) precise; urgency=low

  * New git, small fixes

 -- falkTX <falktx@gmail.com>  Sun, 09 Dec 2012 13:51:52 +0000

cadence (1:0.5.0~beta1+git20121205-0~precise1) precise; urgency=low

  * New Git

 -- falkTX <falktx@gmail.com>  Wed, 05 Dec 2012 03:26:32 +0000

cadence (1:0.5.0~beta1+git20121124-0~precise2) precise; urgency=low

  * New git, several fixes

 -- falkTX <falktx@gmail.com>  Sat, 24 Nov 2012 17:39:06 +0000

cadence (1:0.5.0~beta1+git20121102-0~precise1) precise; urgency=low

  * New Git, several fixes
  * Add fftw3 and mxml as dependencies, used for internal zynaddsubfx plugin

 -- falkTX <falktx@gmail.com>  Fri, 02 Nov 2012 00:53:35 +0000

cadence (1:0.5.0~beta1+git20121030-0~precise1) precise; urgency=low

  * New Git, carla fixes

 -- falkTX <falktx@gmail.com>  Tue, 30 Oct 2012 21:05:54 +0000

cadence (1:0.5.0~beta1+git20121027-0~precise1) precise; urgency=low

  * New Git, general fixing

 -- falkTX <falktx@gmail.com>  Sun, 28 Oct 2012 00:22:26 +0100

cadence (1:0.5.0~beta1+git20121024-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Wed, 24 Oct 2012 03:01:16 +0100

cadence (1:0.5.0~beta1+git20121024-0~precise1) precise; urgency=low

  * New git, misc fixing and osc-ui debug

 -- falkTX <falktx@gmail.com>  Wed, 24 Oct 2012 03:00:31 +0100

cadence (1:0.5.0~beta1+git20121006-0~quantal3) quantal; urgency=low

  * non-linuxsampler build

 -- falkTX <falktx@gmail.com>  Mon, 22 Oct 2012 17:33:20 +0100

cadence (1:0.5.0~beta1+git20121006-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Mon, 15 Oct 2012 00:30:43 +0100

cadence (1:0.5.0~beta1+git20121006-0~precise1) precise; urgency=low

  * New git, split bridges into separate package
  * Fix carla-control
  * Install carla lv2-gtk3 ui bridge

 -- falkTX <falktx@gmail.com>  Sun, 07 Oct 2012 11:03:22 +0100

cadence (1:0.5.0~beta1+git20121004-0~precise1) precise; urgency=low

  * New git, cadence alsa-audio bridge support

 -- falkTX <falktx@gmail.com>  Thu, 04 Oct 2012 07:49:11 +0100

cadence (1:0.5.0~beta1+git20121003-0~precise2) precise; urgency=low

  * New git, cadence pulseaudio support

 -- falkTX <falktx@gmail.com>  Wed, 03 Oct 2012 14:50:54 +0100

cadence (1:0.5.0~beta1+git20121003-0~precise1) precise; urgency=low

  * New git, several fixes

 -- falkTX <falktx@gmail.com>  Wed, 03 Oct 2012 11:58:17 +0100

cadence (1:0.5.0~beta1+git20120927-0~precise1) precise; urgency=low

  * New git, several carla related fixes
  * Don't build Carla in debug mode anymore, use soft assertions instead

 -- falkTX <falktx@gmail.com>  Thu, 27 Sep 2012 00:12:13 +0100

cadence (1:0.5.0~beta1+git20120925-0~precise1) precise; urgency=low

  * New Git, several fixes

 -- falkTX <falktx@gmail.com>  Tue, 25 Sep 2012 19:06:33 +0100

cadence (1:0.5.0~beta1+git20120924-0~precise1) precise; urgency=low

  * New git, adds claudia-launcher desktop; Carla-Control works now
  * Build carla in debug mode

 -- falkTX <falktx@gmail.com>  Mon, 24 Sep 2012 23:28:27 +0100

cadence (1:0.5.0~beta1+git20120922-0~precise5) precise; urgency=low

  * New git, adds cadence a2j support

 -- falkTX <falktx@gmail.com>  Sat, 22 Sep 2012 11:30:39 +0100



=== debian/control ===
Source: cadence
Section: sound
Priority: optional
Maintainer: falkTX <falktx@gmail.com>
Build-Depends: debhelper (>= 8.1.3),
  libjack-dev, libqt4-dev, qt4-dev-tools,
  python3-pyqt4, pyqt4-dev-tools
Standards-Version: 3.9.2

Package: cadence
Architecture: all
Depends: ${misc:Depends}, cadence-tools, catarina, catia, claudia
Suggests: pulseaudio-module-jack
Description: JACK Audio Utilities
 Cadence is a set of tools useful for audio production.
 .
 This package contains the main application.

Package: cadence-unity-support
Architecture: all
Depends: ${misc:Depends}, cadence, gir1.2-unity-5.0
Suggests: unity
Description: JACK Audio Utilities (Unity support)
 Cadence is a set of tools useful for Audio-related
 tasks, using Python and Qt.
 .
 This package contains a small daemon that show JACK
 related data in the Cadence icon when using Unity.

Package: cadence-data
Architecture: all
Depends: ${misc:Depends}, python3-pyqt4
Description: JACK Audio Utilities (data files)
 Cadence is a set of tools useful for audio production.
 .
 This package contains the shared data and modules.

Package: cadence-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cadence-data, python3-dbus, python3-dbus.mainloop.qt
Recommends: jack-capture
Suggests: pulseaudio-module-jack
Description: JACK Audio Utilities (tools)
 Cadence is a set of tools useful for audio production.
 .
 This package contains the small tools used in Cadence.

Package: catarina
Architecture: all
Depends: ${misc:Depends}, cadence-data
Description: Cadence Patchbay
 Catarina is a testing ground for the 'PatchCanvas'
 module used in Cadence.

Package: catia
Architecture: all
Depends: ${misc:Depends}, cadence-tools
Recommends: a2jmidid
Description: JACK Audio Utilities (Patchbay)
 Catia is a nice JACK Audio Patchbay with A2J Bridge integration.
 It also includes Jack Transport support and the ability to
 render jack projects.
 .
 This package is part of the Cadence tools.

Package: claudia
Architecture: all
Depends: ${misc:Depends}, cadence-tools, ladish
Recommends: a2jmidid
Description: LADISH GUI with extended features
 Claudia is a Graphical User Interface to LADISH.
 .
 It has more features than gladish, including:
 - Jack Transport
 - Configurable Canvas
 - App Templates
 - Render projects (realtime or freewheel mode)
 .
 This package is part of the Cadence tools.
